%global snapdate 20241206
%global commit0 ac420e6f7e43bc2dff87aa3d7f33a42fd11ec4d7
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           kicad-nightly-symbols
Version:        8.99.0
Release:        1.%{snapdate}git%{shortcommit0}%{?dist}
Summary:        Schematic symbols for KiCad
License:        CC-BY-SA
URL:            https://kicad.org/libraries/

Source0:        https://gitlab.com/kicad/libraries/kicad-symbols/-/archive/%{commit0}/kicad-symbols-%{commit0}.tar.bz2

BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  make

Recommends:     kicad-nightly

%description
KiCad is an open-source electronic design automation software suite for the
creation of electronic schematic diagrams and printed circuit board artwork.
This package provides the schematic symbols which are part of the official KiCad
libraries.


%prep

%autosetup -n kicad-symbols-%{commit0}


%build

%cmake -DKICAD_DATA=%{_datadir}/kicad-nightly
%cmake_build


%install

%cmake_install


%files
%{_datadir}/kicad-nightly/symbols/*.kicad_sym
%{_datadir}/kicad-nightly/symbols/*.sp
%{_datadir}/kicad-nightly/template/sym-lib-table
%doc README.md
%license LICENSE.md


%changelog
* Sat Apr 22 2023 Aimylios <aimylios@xxx.xx>
- include *.sp simulation model files

* Fri Jan 14 2022 Aimylios <aimylios@xxx.xx>
- update name of folder for symbol libraries

* Wed Apr 7 2021 Aimylios <aimylios@xxx.xx>
- fix usage of %%cmake macro
- add make as explicit build-time dependency

* Sat Feb 27 2021 Aimylios <aimylios@xxx.xx>
- rely on %%cmake macro for out-of-tree build

* Sat Feb 13 2021 Aimylios <aimylios@xxx.xx>
- get sources from GitLab
- adapt to new library file format

* Sat Aug 1 2020 Aimylios <aimylios@xxx.xx>
- update cmake macros

* Sat May 23 2020 Aimylios <aimylios@xxx.xx>
- allow installation in parallel to stable release
- set correct version of package

* Fri Mar 16 2018 Aimylios <aimylios@xxx.xx>
- Initial release for nightly development builds
- Loosely based on https://github.com/KiCad/fedora-packaging
